# $Revision: 1.17 $, $Date: 2006/10/27 21:24:41 $
Summary:	Optical Character Recognition program
Summary(pl):	Program optycznego rozpoznawania pisma (OCR)
Name:		ocrad
Version:	0.16
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://ftp.gnu.org/gnu/ocrad/%{name}-%{version}.tar.bz2
# Source0-md5:	11436dd04e65a1e15ea62c2e2f26a4fa
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/ocrad/ocrad.html
BuildRequires:	help2man
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ocrad is an OCR program implemented as a filter. It reads a bitmap
image in pbm format and outputs text in ISO-8859-1 (Latin-1) charset.
It can be used as a stand-alone terminal application, or as a backend
to other programs.

%description -l pl
Ocrad jest programem OCR zaimplementowanym jako filtr. Czyta bitmap w
formacie pbm i zwraca tekst w zestawie znakw ISO-8859-1 (Latin-1).
Moe by uywany jako samodzielna aplikacja terminalowa bd jako
podstawa innego programu.

%prep
%setup -q
%patch0 -p1

%build
# not autoconf-generated
./configure \
	--prefix=%{_prefix}
%{__make} all doc \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_infodir}}

install ocrad $RPM_BUILD_ROOT%{_bindir}
install ocrad.png $RPM_BUILD_ROOT%{_pixmapsdir}
install doc/ocrad.info $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocrad.spec,v $
Revision 1.17  2006/10/27 21:24:41  qboosh
- updated to 0.16

Revision 1.16  2006/09/12 17:14:22  qboosh
- updated to 0.15, removed obsolete gcc4 patch

Revision 1.15  2006/02/19 19:34:24  freetz
- BR: help2man

Revision 1.14  2006/02/19 19:21:03  qboosh
- updated to 0.14, added gcc4 patch

Revision 1.13  2005/10/29 19:09:10  qboosh
- rebuild ocrad.info

Revision 1.12  2005/10/18 16:22:10  qboosh
- updated to 0.13

Revision 1.11  2005/06/11 01:31:30  undefine
- up to 0.12

Revision 1.10  2005/02/27 22:14:27  qboosh
- updated to 0.11

Revision 1.9  2004/12/27 16:28:46  adamg
- updated to 0.10

Revision 1.8  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.7  2004/10/25 19:44:43  qboosh
- updated to 0.9

Revision 1.6  2004/05/24 19:04:13  undefine
- update to 0.8

Revision 1.5  2004/02/19 21:28:59  qboosh
- updated to 0.7, updated info patch

Revision 1.4  2003/12/19 20:08:55  qboosh
- working URL, updated to 0.6, updated info patch

Revision 1.3  2003/10/29 22:53:34  qboosh
- updated to 0.5

Revision 1.2  2003/10/04 17:22:06  qboosh
- added info patch, register info page

Revision 1.1  2003/09/19 07:28:11  gotar
- initial PLD release
